TransactionConfig (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transaction.TransactionConfig interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transaction
Interface TransactionConfig

All Known Implementing Classes:
  MuleTransactionConfig

    public interface TransactionConfig

`TransactionConfig` defines transaction configuration for a transactional endpoint.

Field Summary
`static byte` | `ACTION_ALWAYS_BEGIN` Will ensure that a new transaction is created for each invocation
`static byte` | `ACTION_ALWAYS_JOIN` There must always be a transaction present for the invocation
`static byte` | `ACTION_BEGIN_OR_JOIN` Will begin a new transaction if no transaction is already present
`static byte` | `ACTION_DEFAULT` Transaction action by default
`static byte` | `ACTION_JOIN_IF_POSSIBLE` If there is a transaction available, then use it, otherwise continue processing
`static byte` | `ACTION_NEVER` There must not be a transaction present for the invocation
`static byte` | `ACTION_NONE` Whether there is a transaction available or not, ignore it

Method Summary
`byte` | `getAction()`
`ConstraintFilter` | `getConstraint()`
`TransactionFactory` | `getFactory()`
`int` | `getTimeout()`
`boolean` | `isConfigured()`
`boolean` | `isTransacted()`
`void` | `setAction(byte action)`
`void` | `setConstraint(ConstraintFilter constraint)`
`void` | `setFactory(TransactionFactory factory)`
`void` | `setTimeout(int timeout)`

Field Detail

### ACTION_NONE

    static final byte ACTION_NONE

  Whether there is a transaction available or not, ignore it

  J2EE: NotSupported

  See Also:
    Constant Field Values

### ACTION_ALWAYS_BEGIN

    static final byte ACTION_ALWAYS_BEGIN

  Will ensure that a new transaction is created for each invocation

  J2EE RequiresNew

  See Also:
    Constant Field Values

### ACTION_BEGIN_OR_JOIN

    static final byte ACTION_BEGIN_OR_JOIN

  Will begin a new transaction if no transaction is already present

  J2EE: Required

  See Also:
    Constant Field Values

### ACTION_ALWAYS_JOIN

    static final byte ACTION_ALWAYS_JOIN

  There must always be a transaction present for the invocation

  J2EE: Mandatory

  See Also:
    Constant Field Values

### ACTION_JOIN_IF_POSSIBLE

    static final byte ACTION_JOIN_IF_POSSIBLE

  If there is a transaction available, then use it, otherwise continue processing

  J2EE: Supports

  See Also:
    Constant Field Values

### ACTION_NEVER

    static final byte ACTION_NEVER

  There must not be a transaction present for the invocation

  J2EE Never

  See Also:
    Constant Field Values

### ACTION_DEFAULT

    static final byte ACTION_DEFAULT

  Transaction action by default

  See Also:
    Constant Field Values

Method Detail

### getFactory

    TransactionFactory getFactory()

### setFactory

    void setFactory(TransactionFactory factory)

### getAction

    byte getAction()

### setAction

    void setAction(byte action)

### isTransacted

    boolean isTransacted()

### getConstraint

    ConstraintFilter getConstraint()

### setConstraint

    void setConstraint(ConstraintFilter constraint)

### setTimeout

    void setTimeout(int timeout)

### getTimeout

    int getTimeout()

### isConfigured

    boolean isConfigured()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.